Bug 164372 - editors/libreoffice fails to build
Summary: editors/libreoffice fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 16:00 UTC by vsityz
Modified: 2012-05-22 14:50 UTC (History)
0 users

See Also:


Attachments
libreoffice.log (40.05 KB, text/plain; charset=UTF-8)
2012-05-22 14:43 UTC, vsityz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsityz 2012-01-22 16:00:22 UTC
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/perl5.14.2 - found
===>  Patching for libreoffice-3.4.5
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/perl5.14.2 - found
===>  Applying FreeBSD patches for libreoffice-3.4.5
===>   libreoffice-3.4.5 depends on executable: zip - found
===>   libreoffice-3.4.5 depends on executable: gpatch - found
===>   libreoffice-3.4.5 depends on executable: unzip - found
===>   libreoffice-3.4.5 depends on executable: bash - found
===>   libreoffice-3.4.5 depends on executable: oo2po - found
===>   libreoffice-3.4.5 depends on executable: dmake - found
===>   libreoffice-3.4.5 depends on file: /usr/local/lib/perl5/site_perl/5.14.2/Archive/Zip.pm - found
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/gperf - found
===>   libreoffice-3.4.5 depends on file: /usr/local/lib/libcppunit.so - found
===>   libreoffice-3.4.5 depends on file: /usr/local/lib/libboost_regex.a - found
===>   libreoffice-3.4.5 depends on executable: vigra-config - found
===>   libreoffice-3.4.5 depends on executable: xsltproc - found
===>   libreoffice-3.4.5 depends on executable: gmake - found
===>   libreoffice-3.4.5 depends on executable: bison - found
===>   libreoffice-3.4.5 depends on file: /usr/local/libdata/pkgconfig/xaw7.pc - found
===>   libreoffice-3.4.5 depends on file: /usr/local/libdata/pkgconfig/xrandr.pc - found
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/perl5.14.2 - found
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/automake-1.11 - found
===>   libreoffice-3.4.5 depends on file: /usr/local/bin/autoconf-2.68 - found
===>   libreoffice-3.4.5 depends on executable: gs - found
===>   libreoffice-3.4.5 depends on shared library: cairo.2 - found
===>   libreoffice-3.4.5 depends on shared library: xml2.5 - found
===>   libreoffice-3.4.5 depends on shared library: xslt.2 - found
===>   libreoffice-3.4.5 depends on shared library: expat.6 - found
===>   libreoffice-3.4.5 depends on shared library: icutu.48 - found
===>   libreoffice-3.4.5 depends on shared library: jpeg.11 - found
===>   libreoffice-3.4.5 depends on shared library: curl.6 - found
===>   libreoffice-3.4.5 depends on shared library: hunspell-1.3.0 - found
===>   libreoffice-3.4.5 depends on shared library: mythes-1.2.0 - found
===>   libreoffice-3.4.5 depends on shared library: hyphen.2 - found
===>   libreoffice-3.4.5 depends on shared library: poppler-glib.8 - found
===>   libreoffice-3.4.5 depends on shared library: wpd-0.9.9 - found
===>   libreoffice-3.4.5 depends on shared library: wpg-0.2.2 - found
===>   libreoffice-3.4.5 depends on shared library: wps-0.2.2 - found
===>   libreoffice-3.4.5 depends on shared library: rdf.0 - found
===>   libreoffice-3.4.5 depends on shared library: textcat.0 - found
===>   libreoffice-3.4.5 depends on shared library: lpsolve55 - found
===>   libreoffice-3.4.5 depends on shared library: cups.2 - found
===>   libreoffice-3.4.5 depends on shared library: GL.1 - found
===>   libreoffice-3.4.5 depends on shared library: GLU.1 - found
===>   libreoffice-3.4.5 depends on shared library: db41.1 - found
===>  Configuring for libreoffice-3.4.5
********************************************************************
*
*   Running LibreOffice build configuration.
*
********************************************************************

test: : bad number
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for gawk... gawk
checking for gawk... /usr/local/bin/gawk
checking for sed... /usr/bin/sed
checking for bash... /bin/bash
checking for GNU or BSD tar... gtar
checking for solenv environment... default
checking build system type... amd64-portbld-freebsd9.0
checking host system type... amd64-portbld-freebsd9.0
checking the FreeBSD operating system release... found OSVERSION=900501
checking which thread library to use... -pthread
checking whether to enable crashdump feature... no
checking whether to turn warnings to errors... no
checking whether to do a debug build... no
checking whether to build with additional debug utilities... no, full product build
checking whether to include symbols... no
checking whether to strip the solver or not.... yes
checking whether to enable native cups support... yes
checking for gcc... clang
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether clang accepts -g... yes
checking for clang option to accept ISO C89... none needed
checking for cupsPrintFiles in -lcups... yes
checking how to run the C preprocessor... clang -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking cups/cups.h usability... yes
checking cups/cups.h presence... yes
checking for cups/cups.h... yes
checking whether to enable fontconfig support... yes
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for FONTCONFIG... yes
checking whether to enable filters for legacy binary file formats (StarOffice 5.2)... no
checking whether to use RPATH in shared libraries... yes
checking whether to include MySpell dictionaries... yes
checking whether to use dicts from external paths... yes
checking for spelling dictionary directory... file:///usr/local/share/hunspell
checking for hyphenation patterns directory... file:///usr/local/share/hyphen
checking for thesaurus directory... file:///usr/local/share/mythes
checking gcc home... /usr
checking for gcc... (cached) clang
checking whether we are using the GNU C compiler... (cached) yes
checking whether clang accepts -g... (cached) yes
checking for clang option to accept ISO C89... (cached) none needed
checking for clang... /usr/bin/clang
checking the GNU gcc compiler version... checked (gcc 4.2.1)
checking for -Bsymbolic-functions linker support ... found
checking whether to enable pch feature... no
checking for GNU make... gmake
checking the GNU make version... gmake 3.82
3+:
checking for --hash-style gcc linker support ... no
checking for perl... /usr/bin/perl
checking the Perl version... checked (perl 5)
checking for required Perl modules... all modules found
checking for ANSI C header files... (cached) yes
checking whether we are using the GNU C++ compiler... yes
checking whether clang++ accepts -g... yes
checking how to run the C++ preprocessor... clang++ -E
checking how to run the C preprocessor... clang -E
checking size of long... 8
checking whether byte ordering is bigendian... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether clang++ accepts -g... (cached) yes
checking the GNU C++ compiler version... checked (g++ 4.2.1)
checking for g++ include path... /usr/include/c++/4.2
checking Whether building STLPort library makes sense... yes
checking Whether STLPort library will be actually built... no
checking whether clang supports -fvisibility=hidden... yes
checking whether clang supports -std=c++0x without Language Defect 757... yes
checking whether we are able to use --ccache-skip... only used on Mac currently, skipping
checking if STL headers are visibility safe... yes
checking if gcc is -fvisibility-inlines-hidden safe with STL headers... yes
checking if gcc has a visibility bug with class-level attributes (GCC bug 26905)... no
checking which memory allocator to use... system
checking for malloc... yes
checking for realloc... yes
checking for calloc... yes
checking for free... yes
checking whether to add custom build version... yes, FreeBSD ports r3.4.5
checking whether to build with Java support... no
configure: WARNING: building without java will mean some features will not be available
checking for dmake... /usr/local/bin/dmake
checking whether the found dmake is the right dmake... yes
checking the dmake version... OK, >= 4.11
checking whether to enable EPM for packing... no
checking for gperf... /usr/local/bin/gperf
checking gperf version... OK
checking for pkg-config... (cached) /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking whether to build the stax... yes
checking whether to build the ODK... no
checking whether to provide libstdc++/libgcc_s in the installset... no
checking which zlib to use... external
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for deflate in -lz... yes
checking which jpeg to use... external
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking for jpeg_resync_to_restart in -ljpeg... yes
checking which expat to use... external
checking expat.h usability... yes
checking expat.h presence... yes
checking for expat.h... yes
checking for XML_ParserCreate in -lexpat... yes
checking which libwpd to use... external
checking for LIBWPD... yes
checking which cppunit to use... external
checking for CPPUNIT... yes
checking whether freetype is available... checking for FREETYPE... yes
checking which libwps to use... external
checking for LIBWPS... yes
checking which libwpg to use... external
checking for LIBWPG... yes
checking for FT_GlyphSlot_Embolden in -lfreetype... yes
checking which libxslt to use... external
checking for LIBXSLT... yes
checking for xsltproc... /usr/local/bin/xsltproc
checking which libxml to use... external
checking for LIBXML... yes
checking whether to enable Python 2.x UNO API... no
checking which python to use... external
checking for a Python interpreter with version >= 2.2... python
checking for python... /usr/local/bin/python
checking for python version... 2.7
checking for python platform... freebsd9
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.7/site-packages
checking Python.h usability... yes
checking Python.h presence... yes
checking for Python.h... yes
checking which translate-toolkit to use... system
checking for oo2po... /usr/local/bin/oo2po
checking for po2oo... /usr/local/bin/po2oo
checking which db to use... external
checking for db41/db.h... yes
checking whether db is at least 4.1... yes
checking for dbopen in -ldb... no
checking for __db185_open in -ldb... no
checking for dbopen in -ldb41... yes
checking which lucene to use... internal
checking whether to build the MySQL Connector extension... no
checking which hsqldb to use... internal
checking which beanshell to use... internal
checking which saxon to use... internal
checking which curl to use... external
checking for curl-config... /usr/local/bin/curl-config
checking whether curl is >= 7.13.1... yes
checking which boost to use... external
checking boost/shared_ptr.hpp usability... yes
checking boost/shared_ptr.hpp presence... yes
checking for boost/shared_ptr.hpp... yes
checking boost/spirit/include/classic_core.hpp usability... yes
checking boost/spirit/include/classic_core.hpp presence... yes
checking for boost/spirit/include/classic_core.hpp... yes
checking boost/function.hpp usability... yes
checking boost/function.hpp presence... yes
checking for boost/function.hpp... yes
checking boost/unordered_map.hpp usability... yes
checking boost/unordered_map.hpp presence... yes
checking for boost/unordered_map.hpp... yes
checking whether boost/function.hpp compiles with -fno-exceptions... yes
checking which mdds to use... internal
checking which hash container mdds shall use... boost::unordered_map
checking which vigra to use... external
checking vigra/copyimage.hxx usability... yes
checking vigra/copyimage.hxx presence... yes
checking for vigra/copyimage.hxx... yes
checking which odbc headers to use... internal
checking whether to enable build of Mozilla/Mozilla NSS-using components... no
checking whether to build Mozilla addressbook connectivity... no
checking whether to build XML Security support... no, since Mozilla (NSS) disabled but needed
checking whether to build LDAP configuration backend... no. Either Mozilla or OpenLDAP needed
configure: creating ./config.status
config.status: creating ooo.lst
checking which mozilla to use... none
checking which sane header to use... internal
checking which icu to use... external
checking for unicode/rbbi.h... checked.
checking for genbrk... /usr/local/bin/genbrk
checking for genccode... /usr/local/sbin/genccode
checking for gencmn... /usr/local/sbin/gencmn
checking for icu-config... /usr/local/bin/icu-config
checking ICU version... OK
checking whether to enable graphite support... no
checking for X... libraries /usr/local/lib, headers /usr/local/include
checking whether -R must be followed by a space... neither works
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for XOpenDisplay in -lX11... yes
checking for XauDisposeAuth in -lXau... yes
checking whether to use Xaw... yes
checking for X11/Xaw/Label.h... yes
checking for main in -lXaw... yes
checking whether to link to Xrender... no, dynamically open it
checking which Xrender headers to use... external
checking X11/extensions/Xrender.h usability... yes
checking X11/extensions/Xrender.h presence... yes
checking for X11/extensions/Xrender.h... yes
checking whether to enable RandR support... yes
checking for XRANDR... yes
checking whether to use neon... no
checking which libssl to use... external
checking for OPENSSL... yes
checking which redland library to use... external
checking for REDLAND... yes
checking which libhunspell to use... external
checking for HUNSPELL... yes
checking which altlinuxhyph to use... external
checking hyphen.h usability... yes
checking hyphen.h presence... yes
checking for hyphen.h... yes
checking for struct _HyphenDict.cset... yes
checking for hnj_hyphen_hyphenate2 in -lhyphen... yes
checking which mythes to use... external
checking for MYTHES... yes
checking which lpsolve to use... external
checking lpsolve/lp_lib.h usability... yes
checking lpsolve/lp_lib.h presence... yes
checking for lpsolve/lp_lib.h... yes
checking for floor in -lm... yes
checking for dlopen in -ldl... no
checking for make_lp in -llpsolve55... yes
checking which libtextcat to use... external
checking libtextcat/textcat.h usability... yes
checking libtextcat/textcat.h presence... yes
checking for libtextcat/textcat.h... yes
checking for special_textcat_Init in -ltextcat... yes
checking which libtextcat data directory to use... internal
checking for getopt... yes
checking for readdir_r... yes
checking for bison... /usr/local/bin/bison
checking the bison version... checked (/usr/local/bin/bison 2.4.3)
checking for flex... /usr/bin/flex
checking for patch... /usr/bin/patch
checking whether /usr/local/bin/gpatch is GNU patch... yes
checking for gnucp... no
checking for cp... /bin/cp
checking whether /bin/cp is GNU cp from coreutils with preserve= support... no gnucp found - using the system's cp command
checking for zip... /usr/local/bin/zip
checking for unzip... /usr/bin/unzip
checking which VCLplugs shall be built... none
checking whether to enable GConf support... no
checking whether to enable GNOME VFS support... no
checking for LIBPNG... yes
checking whether to enable libpng linking in quickstarter... yes
checking whether to enable BrOffice branding... no
checking whether to use cairo... yes
checking which cairo to use... external
checking for CAIRO... yes
checking whether Xrender.h defines PictStandardA8... yes
checking whether to enable the GStreamer avmedia backend... no
checking whether to build the OpenGL Transitions component... yes
checking for main in -lGL... yes
checking for main in -lGLU... yes
checking which Mesa headers to use... external
checking for GL/glxext.h... yes
checking whether GL/glxext.h defines PFNGLXBINDTEXIMAGEEXTPROC... yes
checking whether to build the Presentation Minimizer extension... no
checking whether to build the Presenter Console extension... no
checking whether to build the PDF Import extension... yes
checking which pdf backend to use... external
checking for POPPLER... yes
checking cpp/poppler-version.h usability... yes
checking cpp/poppler-version.h presence... yes
checking for cpp/poppler-version.h... yes
checking for sdext module... checking whether to build the Wiki Publisher extension... no
checking whether to build the Report Builder extension... no
checking whether to build extension for support of scripts in BeanShell... no
checking whether to build extension for support of scripts in JavaScript... no
checking whether to build extension for support of scripts in Python... no
checking whether to enable the lockdown pieces... yes
checking whether to enable evolution 2 support... no
checking whether to enable KDE address book support... no
checking whether to include MathMLDTD... yes
checking which themes to include...  default crystal hicontrast oxygen tango
checking for helppack integration... integration
checking for extensions integration... no integration
checking for Lightproof extensions integration (only supported languages displayed)... no integration
checking for Watch Window extension integration... no
checking for SmART Gallery (Diagram) extension integration... no
checking for Validator extension integration... no
checking for Barcode extension integration... no
checking for ConvertTextToNumber extension integration... no
checking for Numbertext extension integration... no
checking for Hungarian Cross-reference Toolbar extension integration... no
checking for Typography Toolbar extension integration... no
checking for Google Docs extension integration... no
checking for NLPSolver extension integration... no
checking for LanguageTool extension integration... no
checking for oooblogger extension integration... no
checking for Sun Professional Template Pack integration (only supported languages displayed)... no integration
checking whether to include third-party fonts... yes
checking whether to include Agfa Monotype fonts... no
checking whether to include PPDs... yes
checking whether to include AFMs... yes
checking whether to include extra galleries... no
checking whether to include extra templates... no
checking whether to include extra samples... no
checking whether to include extra fonts... no
checking whether to build global menu support... no
checking whether to enable online update... no
checking whether and how to use Xinerama... yes, with dynamic linking
checking X11/extensions/Xinerama.h usability... yes
checking X11/extensions/Xinerama.h presence... yes
checking for X11/extensions/Xinerama.h... yes
checking for XineramaIsActive in -lXinerama... yes
checking for product version... 3.4
checking which languages to be built... ru
checking for another 'intro' bitmap... none
checking for another 'about' bitmap... none
checking for vendor... FreeBSD ports r3.4.5
checking for UNIX wrapper name... libreoffice
checking whether to install the compat oo* wrappers... no
checking for product name... LibreOffice
checking for install dirname... libreoffice
checking for prefix... /usr/local
checking for libdir... /usr/local/lib
checking for data dir... /usr/local/share
checking for man dir... /usr/local/man
checking for doc dir... /usr/local/share/doc/libreoffice
checking for install dir... /usr/local/lib/libreoffice
checking whether to statically link to Gtk... no
checking whether to use layout dialogs... no
checking build verbosity... not set
checking whether to use zenity during build... no
checking whether to enable dependency tracking... no
checking for number of processors to use... 4
checking for maximum of jobs per processor... 1
setting up the build environment variables...
checking solver path... default
setting up the post_download check script
configure: creating ./config.status
config.status: creating ooo.lst
config.status: creating set_soenv
config.status: creating Makefile
config.status: creating bin/repo-list
Setting up the environment for building LibreOffice
Setting FreeBSD AMD64 specific values... done

****************************************************************************
*
* LibreOffice configuration finished.
*
* - building without java will mean some features will not be available
*
****************************************************************************
To build, issue:
gmake

To install when the build is finished, issue:
gmake install

If you want to develop LibreOffice, you might prefer:
gmake dev-install

If you want to run the smoketest, issue:
gmake check

***** WARNINGS ISSUED *****
Creating missing link default_images
Creating missing link ooo_custom_images
Creating missing link dbaccess
Creating missing link reportdesign
Creating missing link chart2
Creating missing link sc
Creating missing link scaddins
Creating missing link sccomp
Creating missing link MathMLDTD
Creating missing link UnoControls
Creating missing link accessibility
Creating missing link automation
Creating missing link basctl
Creating missing link bean
Creating missing link crashrep
Creating missing link cui
Creating missing link embedserv
Creating missing link extensions
Creating missing link forms
Creating missing link lingucomponent
Creating missing link package
Creating missing link setup_native
Creating missing link wizards
Creating missing link xmlsecurity
Creating missing link apache-commons
Creating missing link ct2n
Creating missing link jfreereport
Creating missing link languagetool
Creating missing link migrationanalysis
Creating missing link mysqlc
Creating missing link nlpsolver
Creating missing link reportbuilder
Creating missing link sdext
Creating missing link swext
Creating missing link tomcat
Creating missing link xpdf
Creating missing link extras
Creating missing link binfilter
Creating missing link filter
Creating missing link hwpfilter
Creating missing link lotuswordpro
Creating missing link oox
Creating missing link unoxml
Creating missing link writerfilter
Creating missing link writerperfect
Creating missing link xmerge
Creating missing link helpcontent2
Creating missing link animations
Creating missing link sd
Creating missing link slideshow
Creating missing link avmedia
Creating missing link basic
Creating missing link configmgr
Creating missing link connectivity
Creating missing link desktop
Creating missing link drawinglayer
Creating missing link editeng
Creating missing link embeddedobj
Creating missing link eventattacher
Creating missing link fileaccess
Creating missing link formula
Creating missing link fpicker
Creating missing link framework
Creating missing link idl
Creating missing link linguistic
Creating missing link officecfg
Creating missing link oovbaapi
Creating missing link readlicense_oo
Creating missing link scripting
Creating missing link sfx2
Creating missing link shell
Creating missing link svx
Creating missing link sysui
Creating missing link ucb
Creating missing link uui
Creating missing link vbahelper
Creating missing link xmlhelp
Creating missing link xmloff
Creating missing link xmlscript
Creating missing link Mesa
Creating missing link afms
Creating missing link apple_remote
Creating missing link beanshell
Creating missing link cppunit
Creating missing link epm
Creating missing link external
Creating missing link hsqldb
Creating missing link hyphen
Creating missing link icc
Creating missing link libtextcat
Creating missing link libwpd
Creating missing link libwpg
Creating missing link libwps
Creating missing link libxmlsec
Creating missing link lpsolve
Creating missing link lucene
Creating missing link mdds
Creating missing link mysqlcppconn
Creating missing link mythes
Creating missing link np_sdk
Creating missing link openssl
Creating missing link redland
Creating missing link rhino
Creating missing link sane
Creating missing link translate_toolkit
Creating missing link twain
Creating missing link unixODBC
Creating missing link vigra
Creating missing link x11_extensions
Creating missing link xsltml
Creating missing link berkeleydb
Creating missing link boost
Creating missing link cairo
Creating missing link curl
Creating missing link dictionaries
Creating missing link expat
Creating missing link graphite
Creating missing link hunspell
Creating missing link icu
Creating missing link jpeg
Creating missing link libxml2
Creating missing link libxslt
Creating missing link more_fonts
Creating missing link moz
Creating missing link neon
Creating missing link nss
Creating missing link python
Creating missing link saxon
Creating missing link stax
Creating missing link zlib
Creating missing link basebmp
Creating missing link basegfx
Creating missing link canvas
Creating missing link comphelper
Creating missing link cppcanvas
Creating missing link dtrans
Creating missing link i18npool
Creating missing link i18nutil
Creating missing link l10ntools
Creating missing link o3tl
Creating missing link padmin
Creating missing link psprint_config
Creating missing link regexp
Creating missing link rsc
Creating missing link sax
Creating missing link sot
Creating missing link svl
Creating missing link svtools
Creating missing link toolkit
Creating missing link tools
Creating missing link ucbhelper
Creating missing link unotools
Creating missing link vcl
Creating missing link packimages
Creating missing link postprocess
Creating missing link autodoc
Creating missing link cosv
Creating missing link odk
Creating missing link udm
Creating missing link unodevtools
Creating missing link qadevOOo
Creating missing link smoketestdoc
Creating missing link smoketestoo_native
Creating missing link test
Creating missing link testautomation
Creating missing link testgraphical
Creating missing link testtools
Creating missing link binaryurp
Creating missing link bridges
Creating missing link cli_ure
Creating missing link codemaker
Creating missing link cppu
Creating missing link cppuhelper
Creating missing link cpputools
Creating missing link idlc
Creating missing link io
Creating missing link javaunohelper
Creating missing link jurt
Creating missing link jvmaccess
Creating missing link jvmfwk
Creating missing link offapi
Creating missing link offuh
Creating missing link pyuno
Creating missing link rdbmaker
Creating missing link registry
Creating missing link remotebridges
Creating missing link ridljar
Creating missing link sal
Creating missing link salhelper
Creating missing link stoc
Creating missing link store
Creating missing link udkapi
Creating missing link unoil
Creating missing link ure
Creating missing link xml2cmp
Creating missing link xmlreader
Creating missing link starmath
Creating missing link sw
Creating missing link translations
===>  Building for libreoffice-3.4.5
build -- version: 275224
ALLOW GBUILD

=============
Building module testautomation
=============

=============
Building module solenv
=============
testautomation deliver
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/solenv

deliver -- version: 275594
mkout -- version: 1.8
touch /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/solver/340/unxfbsd.pro/inc/minormkchanged.flg
solenv deliver
deliver -- version: 275594
Module 'solenv' delivered successfully. 3 files copied, 0 files unchanged

=============
Building module sane
=============

=============
Building module soltools
=============

=============
Building module stlport
=============

=============
Building module afms
=============

=============
Building module more_fonts
=============

=============
Building module MathMLDTD
=============

=============
Building module extras
=============

=============
Building module hsqldb
=============

=============
Building module unixODBC
=============

=============
Building module mdds
=============

=============
Building module stax
=============

=============
Building module beanshell
=============
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/mkdepend

sane deliver
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/stlport

mkout -- version: 1.8
deliver -- version: 275594
Compiling: soltools/mkdepend/cppsetup.c
Module 'sane' delivered successfully. 2 files copied, 0 files unchanged
mkout -- version: 1.8
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/afms

Nothing to do
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/more_fonts/fonts/ttf_gentium

mkout -- version: 1.8
Compiling: soltools/mkdepend/ifparser.c
mkout -- version: 1.8
if [ -f ../../unxfbsd.pro/misc/build/gentiumbasic-fonts-1.10.exists ] ; then mv ../../unxfbsd.pro/misc/build/gentiumbasic-fonts-1.10 ../../unxfbsd.pro/misc/build/gentiumbasic-fonts-1.10_removeme ; fi
if [ -f ./unxfbsd.pro/misc/build/Adobe-Core35_AFMs-314.exists ] ; then mv ./unxfbsd.pro/misc/build/Adobe-Core35_AFMs-314 ./unxfbsd.pro/misc/build/Adobe-Core35_AFMs-314_removeme ; fi
Compiling: soltools/mkdepend/include.c
include.c:51:13: warning: unused parameter 'dot' [-Wunused-parameter]
    boolean     dot;
                ^
make writeable...
1 warning generated.
Making:    fontunxafm.zip
Compiling: soltools/mkdepend/main.c
rebuilding zipfiles
------------------------------
make writeable...
no patch needed...
MathMLDTD deliver
deliver -- version: 275594
Compiling: soltools/mkdepend/parse.c
no patch needed...
parse.c:48:15: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'boolean' (aka 'unsigned char') declared in a previous prototype
    boolean                     failOK;
                                ^
./def.h:170:54: note: previous declaration is here
    struct inclist *file_red, int recursion, boolean failOK,
                                                     ^
Module 'MathMLDTD' delivered successfully. 3 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/hsqldb

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Buildings

mkout -- version: 1.8
mkout -- version: 1.8
1 warning generated.
Compiling: soltools/mkdepend/pr.c
unixODBC deliver
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/mdds

pr.c:47:13: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'boolean' (aka 'unsigned char') declared in a previous prototype
    boolean     dot;
                ^
./def.h:177:54: note: previous declaration is here
    struct inclist *file_red, char *include, boolean dot, boolean failOK,
                                                     ^
pr.c:48:13: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'boolean' (aka 'unsigned char') declared in a previous prototype
    boolean     failOK;
                ^
./def.h:177:67: note: previous declaration is here
    struct inclist *file_red, char *include, boolean dot, boolean failOK,
                                                                  ^
2 warnings generated.
mkout -- version: 1.8
Compiling: soltools/mkdepend/collectdircontent.cxx
deliver -- version: 275594
clang++: warning: argument unused during compilation: '-fno-enforce-eh-specs'
if [ -f ./unxfbsd.pro/misc/build/mdds_0.5.3.exists ] ; then mv ./unxfbsd.pro/misc/build/mdds_0.5.3 ./unxfbsd.pro/misc/build/mdds_0.5.3_removeme ; fi
make writeable...
patching file mdds_0.5.3/include/mdds/mixed_type_matrix_def.inl
patching file mdds_0.5.3/include/mdds/mixed_type_matrix_storage_filled_linear.inl
patching file mdds_0.5.3/include/mdds/point_quad_tree.hpp
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/stax

mkout -- version: 1.8
Module 'unixODBC' delivered successfully. 5 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/beanshell

java disabled
Not building stax because Java is disabled
Making:    makedepend
unx
stlport deliver
afms deliver
deliver -- version: 275594
deliver -- version: 275594
Module 'stlport' delivered successfully. 1 files copied, 0 files unchanged
Module 'afms' delivered successfully. 2 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/more_fonts/fonts/ttf_dejavu

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/presnt

hsqldb deliver
if [ -f ../../unxfbsd.pro/misc/build/dejavu-fonts-ttf-2.33.exists ] ; then mv ../../unxfbsd.pro/misc/build/dejavu-fonts-ttf-2.33 ../../unxfbsd.pro/misc/build/dejavu-fonts-ttf-2.33_removeme ; fi
Module 'testautomation' delivered successfully. 31 files copied, 0 files unchanged
mdds deliver
stax deliver
deliver -- version: 275594
Module 'hsqldb' delivered successfully. 1 files copied, 1 files unchanged
beanshell deliver
deliver -- version: 275594
deliver -- version: 275594
Module 'stax' delivered successfully. 1 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/adjustvisibility

deliver -- version: 275594
Module 'beanshell' delivered successfully. 1 files copied, 1 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/more_fonts/fonts/ttf_liberation

if [ -f ../../unxfbsd.pro/misc/build/..exists ] ; then mv ../../unxfbsd.pro/misc/build/. ../../unxfbsd.pro/misc/build/._removeme ; fi
make writeable...
no patch needed...
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/personal

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/support

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/more_fonts/fonts/ttf_amt

make writeable...
Compiling: soltools/support/simstr.cxx
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Fauna

no patch needed...
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/checkdll

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/more_fonts/fonts/ttf_linlibertineg

Compiling: soltools/checkdll/checkdll.c
if [ -f ../../unxfbsd.pro/misc/build/LinLibertineG.exists ] ; then mv ../../unxfbsd.pro/misc/build/LinLibertineG ../../unxfbsd.pro/misc/build/LinLibertineG_removeme ; fi
Making:    checkdll
unx
Making:    soltools_support.lib
make writeable...
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/autotext

Compiling: soltools/support/simstr.cxx
no patch needed...
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/ldump

more_fonts deliver
deliver -- version: 275594
Making:    autotextuser.zip
rebuilding zipfiles
------------------------------
Making:    soltools_support.lib
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples/advertisement/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/testhxx

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/officorr/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/javadep

Module 'mdds' delivered successfully. 20 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Celebration

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/giparser

Compiling: soltools/testhxx/testhxx.cxx
touch ../unxfbsd.pro/slo/testhxx.obj
touch ../unxfbsd.pro/misc/testhxx.output
/usr/bin/perl -w create.pl < ../unxfbsd.pro/misc/testhxx.output > ../unxfbsd.pro/bin/testhxx
Compiling: soltools/javadep/javadep.c
Module 'more_fonts' delivered successfully. 58 files copied, 0 files unchanged
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/fax/lang

Making:    tplwizfax_en-US.zip
rebuilding zipfiles
------------------------------
Making:    tplwizfax_ru.zip
rebuilding zipfiles
------------------------------
chmod +x ../unxfbsd.pro/bin/testhxx
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/cpp

Compiling: soltools/giparser/gen_info.cxx
clang++: warning: argument unused during compilation: '-fno-enforce-eh-specs'
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/gallery_sound

Making:    gallsound.zip
rebuilding zipfiles
------------------------------
Making:    javadep
unx
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/layout/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/desktop/lang

Making:    gallroot.zip
rebuilding zipfiles
------------------------------
Making:    tplwizdesktop_en-US.zip
rebuilding zipfiles
------------------------------
Compiling: soltools/cpp/_cpp.c
Making:    tplwizdesktop_ru.zip
rebuilding zipfiles
------------------------------
Compiling: soltools/cpp/_eval.c
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples-nonfree/advertisement/lang

Compiling: soltools/cpp/_include.c
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Humans

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/offimisc/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Cities

Compiling: soltools/cpp/_lex.c
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/gallery_system

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/unx/source/bitmaps

Compiling: soltools/giparser/gi_list.cxx
Making:    gallsystem.zip
rebuilding zipfiles
------------------------------
clang++: warning: argument unused during compilation: '-fno-enforce-eh-specs'
Compiling: soltools/cpp/_macro.c
Making:    cfgsrvbitmapunx.zip
rebuilding zipfiles
------------------------------
Compiling: soltools/cpp/_mcrvalid.c
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/finance/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Travel

Compiling: soltools/cpp/_nlist.c
In file included from /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/giparser/gi_list.cxx:33:
In file included from ../inc/gi_list.hxx:33:
./inc/st_list.hxx:298:10: error: use of undeclared identifier 'push_back'
         push_back( new XY(*(*it)) );
         ^
         this->
/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/giparser/gi_list.cxx:59:15: note: in instantiation of member function 'DynamicList<GenericInfo>::operator=' requested here
    aChildren = i_rList.aChildren;
              ^
./inc/st_list.hxx:70:24: note: must qualify identifier to find this declaration in dependent base class
    void                push_back(
                        ^
./inc/st_list.hxx:311:5: error: use of undeclared identifier 'checkSize'
    checkSize(DynamicList<XY>::len+2);
    ^
    this->
/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/giparser/gi_list.cxx:43:19: note: in instantiation of member function 'DynamicList<GenericInfo>::Insert' requested here
List_GenericInfo::List_GenericInfo()
                  ^
./inc/st_list.hxx:101:15: note: must qualify identifier to find this declaration in dependent base class
    void                                checkSize(
                                        ^
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/bullets

2 errors generated.
dmake:  Error code 1, while making '../unxfbsd.pro/obj/gi_list.obj'
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/presnt/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/forms/lang

Compiling: soltools/cpp/_tokens.c
Making:    tplpresntimpr_en-US.zip
Making:    gallbullets.zip
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/rulers
rebuilding zipfiles
------------------------------
rebuilding zipfiles
------------------------------

Compiling: soltools/cpp/_unix.c
Making:    gallrulers.zip
rebuilding zipfiles
------------------------------
Making:    cpp.lib
/tmp/striplanguagetags.sh.F13dzi /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/presnt/lang
unzip: Bad ZIP file: Unexpected end-of-entry record
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/educate/lang

styles.tmp:1: parser error : Document is empty

^
styles.tmp:1: parser error : Start tag expected, '<' not found

^
unable to parse styles.tmp

zip error: Nothing to do! (try: zip -qr prs-novelty.otp . -i styles.xml)
rm: styles.xml: No such file or directory
unzip: Bad ZIP file: Unexpected end-of-entry record
styles.tmp:1: parser error : Document is empty

^
styles.tmp:1: parser error : Start tag expected, '<' not found

^
unable to parse styles.tmp

zip error: Nothing to do! (try: zip -qr prs-strategy.otp . -i styles.xml)
rm: styles.xml: No such file or directory
/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/presnt/lang
Making:    cpp
unx
Making:    tplpresntimpr_ru.zip
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Draws/People

rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/bitmap

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Flowers

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/layout

/tmp/striplanguagetags.sh.76DWyb /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/presnt/lang
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/database

Making:    tplwizbitmap.zip
rebuilding zipfiles
------------------------------
Making:    tpllayoutimpr.zip
rebuilding zipfiles
------------------------------
Making:    database.zip
rebuilding zipfiles
------------------------------
/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/presnt/lang
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Landscapes

Making:    databasebiblio.zip
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/symbols

rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/labels/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/autotext/lang

Making:    symbols.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/www-back

Making:    autotextshare_en-US.zip
rebuilding zipfiles
------------------------------
Making:    gallwwwback.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/labels/lang

Making:    autotextshare_ru.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/report/lang
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/presnt/lang
Making:    autocorr.zip


rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/wordbook/lang

Making:    tplwizreport_en-US.zip
rebuilding zipfiles
------------------------------
Making:    wordbook_en-US.zip
rebuilding zipfiles
------------------------------
/tmp/striplanguagetags.sh.8CeWDG /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/layout
Making:    tplwizreport_ru.zip
rebuilding zipfiles
------------------------------
Making:    wordbook_ru.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/presnt/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/offimisc/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/personal/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Elements/Bullets2

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/misc

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/finance/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories-nonfree

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Plants

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/htmlexpo

/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/layout
Making:    gallhtmlexpo.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/finance

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/FoodsandDrinks

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/officorr

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/misc/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/sounds

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/palettes

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/layout/lang

Making:    gallsounds.zip
rebuilding zipfiles
------------------------------
Making:    palettes.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/forms

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/wordbook

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/offimisc

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common

Making:    wordbook.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Objects

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples-nonfree/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples-nonfree/documentation/lang

Making:    wordbookuser.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Statues

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/samples/documentation/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/accessories/Photos/Space

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/letter/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/labels

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/misc_config

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/educate

Making:    tplwizletter.zip
rebuilding zipfiles
------------------------------
Making:    cfgsrvnolang.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/forms/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/misc/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/agenda/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/personal/lang

Making:    tplwizagenda_en-US.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/gallery/www-graf

Making:    cfgusr.zip
rebuilding zipfiles
------------------------------
Making:    gallwwwgraf.zip
rebuilding zipfiles
------------------------------
Making:    tplwizagenda_ru.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/templates/wizard/styles/lang

Making:    tplwizstyles_en-US.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/educate/lang

Making:    tplwizstyles_ru.zip
rebuilding zipfiles
------------------------------
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates-nonfree/officorr/lang

Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/extras/source/premium/templates/common/layout


=============
Building module saxon
=============
Entering /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/saxon

mkout -- version: 1.8
Not building saxon because Java is disabled
saxon deliver
deliver -- version: 275594
Module 'saxon' delivered successfully. 1 files copied, 1 files unchanged
Making:    tplwizletter_en-US.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_bg.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_cs.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_da.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_de.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_en-GB.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_es.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_eu.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_fr.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_hu.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_it.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_ja.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_km.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_ko.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_nl.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_pl.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_pt.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_pt-BR.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_ru.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_sk.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_sl.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_sv.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_tr.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_vi.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_zh-CN.zip
rebuilding zipfiles
------------------------------
Making:    tplwizletter_zh-TW.zip
rebuilding zipfiles
------------------------------
extras deliver
deliver -- version: 275594
Module 'extras' delivered successfully. 77 files copied, 0 files unchanged

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/giparser

 it seems that the error is inside 'soltools', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

rm -Rf /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2/soltools/unxfbsd.pro # optional module 'clean'
/bin/bash
cd /usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.5.2
source ./FreeBSDAMDEnv.Set.sh
cd soltools
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
gmake: *** [all] &#239;&#219;&#201;&#194;&#203;&#193; 1
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

===>>> make failed for editors/libreoffice
===>>> Aborting update

Terminated

===>>> You can restart from the point of failure with this command line:
       portmaster <flags> editors/libreoffice

How-To-Repeat: portmaster editors/libreoffice
Comment 1 Edwin Groothuis freebsd_committer 2012-01-22 16:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-04-22 21:44:30 UTC
State Changed
From-To: open->closed

Should be ok with 3.5.2
Comment 3 vsityz 2012-04-24 09:25:49 UTC
not build
##################################


[...cut...]
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(38/115) Building module jvmaccess
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(39/115) Building module cppuhelper
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(40/115) Building module xmlreader
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/jvmaccess/so=
urce

Compiling: jvmaccess/source/classpath.cxx
Compiling: jvmaccess/source/unovirtualmachine.cxx
Compiling: jvmaccess/source/virtualmachine.cxx
Making: jvmaccess.lib
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/u=
notypes

: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/idlc=20
-I.=20
-I/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unx=
fbsd.pro/idl=20
-O../unxfbsd.pro/ucr ./cppuhelper/detail/XExceptionThrower.idl
: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/regmerge=20
=2E./unxfbsd.pro/bin/private_types.rdb /UCR=20
=2E./unxfbsd.pro/ucr/XExceptionThrower.urd ../unxfbsd.pro/ucr/types.rdb
touch ../unxfbsd.pro/bin/private_types.rdb
Compiling: ./cppuhelper/detail/XExceptionThrower.idl
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/xmlreader/pr=
j

[ build PKG ] xmlreader_inc
[ build CXX ] xmlreader/source/pad
clang++: warning: argument unused during compilation:=20
'-fno-enforce-eh-specs'
[ build CXX ] xmlreader/source/span
clang++: warning: argument unused during compilation:=20
'-fno-enforce-eh-specs'
[ build CXX ] xmlreader/source/xmlreader
clang++: warning: argument unused during compilation:=20
'-fno-enforce-eh-specs'
[ build DEP ] LNK:Library/libxmlreader.so
[ build LNK ] Library/libxmlreader.so
clang++: warning: argument unused during compilation:=20
'-rpath=3D/usr/lib:/usr/local/lib'
[ build MOD ] xmlreader
[ build ALL ] top level modules: bootstrap src.downloaded xmlreader
[ build ALL ] loaded modules: xmlreader

[ build CHK ] xmlreader
[ build CHK ] loaded modules: xmlreader

Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/jvmaccess/ut=
il

Compiling: jvmaccess/unxfbsd.pro/misc/jvmaccessgcc3_version.c
Making: libjvmaccessgcc3.so.3
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/i=
nc

xmlreader deliver
Module 'xmlreader' delivered successfully. 0 files copied, 0 files unchan=
ged
jvmaccess deliver
Module 'jvmaccess' delivered successfully. 5 files copied, 1 files unchan=
ged
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/s=
ource

Compiling: cppuhelper/unxfbsd.pro/misc/uno_cppuhelpergcc3_version.c
Compiling: cppuhelper/source/findsofficepath.c
Compiling: cppuhelper/source/typeprovider.cxx
Compiling: cppuhelper/source/exc_thrower.cxx
Compiling: cppuhelper/source/servicefactory.cxx
Compiling: cppuhelper/source/bootstrap.cxx
Compiling: cppuhelper/source/implbase.cxx
Compiling: cppuhelper/source/implbase_ex.cxx
Compiling: cppuhelper/source/propshlp.cxx
[ build PKG ] oovbaapi_idl
[ build MOD ] oovbaapi
[ build ALL ] top level modules: bootstrap src.downloaded oovbaapi
[ build ALL ] loaded modules: oovbaapi

[ build CHK ] oovbaapi
[ build CHK ] loaded modules: oovbaapi

oovbaapi deliver
Module 'oovbaapi' delivered successfully. 0 files copied, 0 files unchang=
ed
Compiling: cppuhelper/source/weak.cxx
Compiling: cppuhelper/source/interfacecontainer.cxx
Compiling: cppuhelper/source/stdidlclass.cxx
Compiling: cppuhelper/source/factory.cxx
Compiling: cppuhelper/source/component_context.cxx
Compiling: cppuhelper/source/component.cxx
Compiling: cppuhelper/source/shlib.cxx
Compiling: cppuhelper/source/tdmgr.cxx
Compiling: cppuhelper/source/implementationentry.cxx
Compiling: cppuhelper/source/access_control.cxx
Compiling: cppuhelper/source/macro_expander.cxx
Compiling: cppuhelper/source/unourl.cxx
Compiling: cppuhelper/source/propertysetmixin.cxx
Compiling: cppuhelper/source/findsofficepath.c
Making: cppuhelper.lib
Making: cppuhelper.lib
Making: libuno_cppuhelpergcc3.so.3
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/propertysetmixin

Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl

Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/ifcontainer

Compiling: cppuhelper/unxfbsd.pro/misc/cppu_unourl_version.c
Compiling: cppuhelper/unxfbsd.pro/misc/cppu_ifcontainer_version.c
Compiling: cppuhelper/qa/unourl/cppu_unourl.cxx
Compiling: cppuhelper/qa/ifcontainer/cppu_ifcontainer.cxx
In file included from=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/ifcontainer/cppu_ifcontainer.cxx:34:
In file included from=20
/usr/local/include/cppunit/extensions/HelperMacros.h:12:
/usr/local/include/cppunit/extensions/ExceptionTestCaseDecorator.h:95:55:=
 warning:=20
unused parameter 'e' [-Wunused-parameter]
virtual void checkException( ExpectedExceptionType &e )
^
In file included from=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:33:
In file included from=20
/usr/local/include/cppunit/extensions/HelperMacros.h:12:
/usr/local/include/cppunit/extensions/ExceptionTestCaseDecorator.h:95:55:=
 warning:=20
unused parameter 'e' [-Wunused-parameter]
virtual void checkException( ExpectedExceptionType &e )
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:484:1:=20
warning: unused parameter 'argc' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:17: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:484:1:=20
warning: unused parameter 'argv' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:29: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/ifcontainer/cppu_ifcontainer.cxx:289:1:=20
warning: unused parameter 'argc' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:17: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/ifcontainer/cppu_ifcontainer.cxx:289:1:=20
warning: unused parameter 'argv' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:29: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
3 warnings generated.
Making: cppu_unourl.lib
Making: libcppu_unourl.so
----------------------------------------------------------
: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/cppuhelper/unxfbsd.pro/lib:/usr/ports/editors/libreoffice/work/libr=
eoffice-core-3.5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRA=
RY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/cppunit/cppunittester=20
=2E./../unxfbsd.pro/lib/libcppu_unourl.so
- start unit test #1 on library ../../unxfbsd.pro/lib/libcppu_unourl.so
----------------------------------------------------------
/usr/local/bin/bash: line 1: 48444 Segmentation fault: 11=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/cppuhelper/unxfbsd.pro/lib:/usr/ports/editors/libreoffice/work/libr=
eoffice-core-3.5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRA=
RY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/cppunit/cppunittester=20
=2E./../unxfbsd.pro/lib/libcppu_unourl.so
dmake: Error code 139, while making 'test1'
3 warnings generated.
Making: cppu_ifcontainer.lib
Making: libcppu_ifcontainer.so
----------------------------------------------------------
: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/cppuhelper/unxfbsd.pro/lib:/usr/ports/editors/libreoffice/work/libr=
eoffice-core-3.5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRA=
RY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/cppunit/cppunittester=20
=2E./../unxfbsd.pro/lib/libcppu_ifcontainer.so
- start unit test #1 on library ../../unxfbsd.pro/lib/libcppu_ifcontainer=
=2Eso
----------------------------------------------------------
OK (5)

-----------------------------------------------------------------------
Oh dear - something failed during the build - sorry !
For more help with debugging build errors, please see the section in:
http://wiki.documentfoundation.org/Development

internal build errors:

ERROR: error 65280 occurred while making=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl

it seems that the error is inside 'cppuhelper', please re-run build
inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/usr/local/bin/bash
cd /usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2
source ./Env.Host.sh
cd cppuhelper
rm -Rf=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/u=
nxfbsd.pro=20
# optional module 'clean'
build

when the problem is isolated and fixed exit and re-run 'make' from the=20
top-level
gmake[1]: *** [build] =D0=9E=D1=88=D0=B8=D0=B1=D0=BA=D0=B0 1
gmake[1]: =D0=92=D1=8B=D1=85=D0=BE=D0=B4 =D0=B8=D0=B7 =D0=BA=D0=B0=D1=82=D0=
=B0=D0=BB=D0=BE=D0=B3=D0=B0=20
`/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2'
gmake: *** [source-env-and-recurse] =D0=9E=D1=88=D0=B8=D0=B1=D0=BA=D0=B0 =
2
*** Error code 1

Stop in /usr/ports/editors/libreoffice.
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

=3D=3D=3D>>> make failed for editors/libreoffice
=3D=3D=3D>>> Aborting update

Terminated

=3D=3D=3D>>> You can restart from the point of failure with this command =
line:
portmaster <flags> editors/libreoffice x11-fonts/gentium-basic=20
x11-fonts/liberation-fonts-ttf x11-fonts/linuxlibertine






admin.local<root> cd=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2
admin.local<root> source ./Env.Host.sh
admin.local<root> cd cppuhelper
admin.local<root> rm -Rf=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/u=
nxfbsd.pro=20
# optional module 'clean'
admin.local<root> build


=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(1/1) Building module cppuhelper
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/u=
notypes

: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/idlc=20
-I.=20
-I/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unx=
fbsd.pro/idl=20
-O../unxfbsd.pro/ucr ./cppuhelper/detail/XExceptionThrower.idl
Compiling: ./cppuhelper/detail/XExceptionThrower.idl
: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/regmerge=20
=2E./unxfbsd.pro/bin/private_types.rdb /UCR=20
=2E./unxfbsd.pro/ucr/XExceptionThrower.urd ../unxfbsd.pro/ucr/types.rdb
touch ../unxfbsd.pro/bin/private_types.rdb
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/i=
nc

Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/s=
ource

Compiling: cppuhelper/unxfbsd.pro/misc/uno_cppuhelpergcc3_version.c
Compiling: cppuhelper/source/findsofficepath.c
Making: cppuhelper.lib
Compiling: cppuhelper/source/typeprovider.cxx
Compiling: cppuhelper/source/exc_thrower.cxx
Compiling: cppuhelper/source/servicefactory.cxx
Compiling: cppuhelper/source/bootstrap.cxx
Compiling: cppuhelper/source/implbase.cxx
Compiling: cppuhelper/source/implbase_ex.cxx
Compiling: cppuhelper/source/propshlp.cxx
Compiling: cppuhelper/source/weak.cxx
Compiling: cppuhelper/source/interfacecontainer.cxx
Compiling: cppuhelper/source/stdidlclass.cxx
Compiling: cppuhelper/source/factory.cxx
Compiling: cppuhelper/source/component_context.cxx
Compiling: cppuhelper/source/component.cxx
Compiling: cppuhelper/source/shlib.cxx
Compiling: cppuhelper/source/tdmgr.cxx
Compiling: cppuhelper/source/implementationentry.cxx
Compiling: cppuhelper/source/access_control.cxx
Compiling: cppuhelper/source/macro_expander.cxx
Compiling: cppuhelper/source/unourl.cxx
Compiling: cppuhelper/source/propertysetmixin.cxx
Compiling: cppuhelper/source/findsofficepath.c
Making: cppuhelper.lib
Making: libuno_cppuhelpergcc3.so.3
Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/propertysetmixin

Entering=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl

Compiling: cppuhelper/unxfbsd.pro/misc/cppu_unourl_version.c
Compiling: cppuhelper/qa/unourl/cppu_unourl.cxx
In file included from=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:33:
In file included from=20
/usr/local/include/cppunit/extensions/HelperMacros.h:12:
/usr/local/include/cppunit/extensions/ExceptionTestCaseDecorator.h:95:55:=
 warning:=20
unused parameter 'e' [-Wunused-parameter]
virtual void checkException( ExpectedExceptionType &e )
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:484:1:=20
warning: unused parameter 'argc' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:17: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl/cppu_unourl.cxx:484:1:=20
warning: unused parameter 'argv' [-Wunused-parameter]
CPPUNIT_PLUGIN_IMPLEMENT();
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:194:3: note: expanded from=
:
CPPUNIT_PLUGIN_IMPLEMENT_MAIN()
^
/usr/local/include/cppunit/plugin/TestPlugIn.h:165:29: note: expanded fro=
m:
int main( int argc, char *argv[] ) \
^
3 warnings generated.
Making: cppu_unourl.lib
Making: libcppu_unourl.so
----------------------------------------------------------
- start unit test #1 on library ../../unxfbsd.pro/lib/libcppu_unourl.so
----------------------------------------------------------
: &&=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/cppuhelper/unxfbsd.pro/lib:/usr/ports/editors/libreoffice/work/libr=
eoffice-core-3.5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRA=
RY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/cppunit/cppunittester=20
=2E./../unxfbsd.pro/lib/libcppu_unourl.so
/usr/local/bin/bash: line 1: 48836 Segmentation fault: 11=20
LD_LIBRARY_PATH=3D/usr/ports/editors/libreoffice/work/libreoffice-core-3.=
5.2.2/cppuhelper/unxfbsd.pro/lib:/usr/ports/editors/libreoffice/work/libr=
eoffice-core-3.5.2.2/solver/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRA=
RY_PATH}}=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/solver/unxfb=
sd.pro/bin/cppunit/cppunittester=20
=2E./../unxfbsd.pro/lib/libcppu_unourl.so
dmake: Error code 139, while making 'test1'

-----------------------------------------------------------------------
Oh dear - something failed during the build - sorry !
For more help with debugging build errors, please see the section in:
http://wiki.documentfoundation.org/Development

internal build errors:

ERROR: error 65280 occurred while making=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/q=
a/unourl

it seems that the error is inside 'cppuhelper', please re-run build
inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/usr/local/bin/bash
cd /usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2
source ./Env.Host.sh
cd cppuhelper
rm -Rf=20
/usr/ports/editors/libreoffice/work/libreoffice-core-3.5.2.2/cppuhelper/u=
nxfbsd.pro=20
# optional module 'clean'
build

when the problem is isolated and fixed exit and re-run 'make' from the=20
top-level
admin.local<root>
Comment 4 vsityz 2012-05-22 14:43:24 UTC
fails to build